# Class CIM_J2eeJVMStats
extends CIM_J2eeStatistic

The CIM_J2eeJVMStats class defines the performance statistics that are provided by a Java VM.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_StatisticalData
|
+--CIM_J2eeStatistic
|
+--CIM_J2eeJVMStats

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | The CIM_J2eeJVMStats class defines the performance statistics that are provided by a Java VM.
UMLPackagePath | string | CIM::Application::J2eeAppServerStats
Version | string | 2.8.2

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
HeapSize | uint64 |
Description | string | The heap size of the JVM.
Gauge | boolean | true
MappingStrings | string | JSR77.JCP|JSR77.6.31.1.1 getHeapSize|V1.0
PUnit | string | byte
Units | string | Bytes
HeapSizeHighWaterMark | uint64 |
Description | string | The largest size of the JVM heap since the beginning of the measurement.
MappingStrings | string | JSR77.JCP|JSR77.6.7.1.1 getHighWaterMark|V1.0
PUnit | string | byte
Units | string | Bytes
HeapSizeLowerBound | uint64 |
Description | string | The lower limit for the heap size of the JVM.
MappingStrings | string | JSR77.JCP|JSR77.6.8.1.2 getLowerBound|V1.0
PUnit | string | byte
Units | string | Bytes
HeapSizeLowWaterMark | uint64 |
Description | string | The smallest size of the JVM heap since the beginning of the measurement.
MappingStrings | string | JSR77.JCP|JSR77.6.7.1.2 getLowWaterMark|V1.0
PUnit | string | byte
Units | string | Bytes
HeapSizeUpperBound | uint64 |
Description | string | The upper limit for the heap size of the JVM.
MappingStrings | string | JSR77.JCP|JSR77.6.8.1.1 getUpperBound|V1.0
PUnit | string | byte
Units | string | Bytes
UpTime | datetime |
Description | string | The amount of time the JVM has been running. The time is represented as a datetime interval.
MappingStrings | string | JSR77.JCP|JSR77.6.31.1.2 getUpTime|V1.0

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_StatisticalData
InstanceID | string | CIM_StatisticalData
SampleInterval | datetime | CIM_StatisticalData
StartStatisticTime | datetime | CIM_StatisticalData
StatisticTime | datetime | CIM_StatisticalData

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
GetLastSampleTime | uint64 | CIM_J2eeStatistic
GetStartTime | uint64 | CIM_J2eeStatistic
ResetSelectedStats | uint32 | CIM_StatisticalData